| Home | Libraries | People | FAQ | More

##### static_execution_state::complete

Returns whether all the messages generated by this operation have been read.

###### Synopsis

    bool
    complete() const;

###### Description

No further network calls are required to move forward. Metadata and OK data for the last resultset are available in this state.

###### Exception safety

No-throw guarantee.